set input=%input:-= %
echo I don't know what that means. What should I say when you tell me "%input%"?
echo.
set input=%input: =-%
set /p learn=))
cd memory
(echo echo %learn%)>>%input%.bat
(echo cd..)>>%input%.bat
(echo call Input.bat)>>%input%.bat
echo Got it!
cd..
call Input.bat